

<div class="form-group" [ngClass]="{'has-error': ctrl?.invalid && (ctrl?.touched && ctrl?.dirty)}">
    <ng-container *ngIf="label">
        <label for="{{ctrl?.name}}" [ngClass]="[labelClass ? labelClass : '']">
            {{ label }}
        </label>
    </ng-container>
    <ng-content></ng-content>
    <ng-container *ngIf="ctrl && ctrl?.invalid && (ctrl?.touched && ctrl?.dirty)">
        <span class="form-text-error">
            {{ errorMsg }}
        </span>
    </ng-container>
</div>

